## xsol 0.31

=== Makefile ===
CC=cc

# You only need to uncomment one section below
# Hopefully, in a future release I will include gnu configure

# For Linux Systems with Redhat Motif 2.1
LIBS=-lXm -lXt -lX11 -lXext -lXp
LIBPATH=/usr/X11R6/lib
MOREARGS=-Wall


# Static Link version for Linux Systems with Redhat Motif 2.1
LIBS=-lXm -lXt -lX11 -lXext -lXp -lSM -lICE
LIBPATH=/usr/X11R6/lib
MOREARGS=-static


# For Linux Systems with Lesstif (or other versions of Motif)
# LIBS=-lXm -lXt -lX11 -lXext
# LIBPATH=/usr/X11R6/lib
# MOREARGS=

# For SCO UNIX
# LIBS=-lXm -lXt -lX11 -lXext -lsocket -lmalloc
# LIBPATH=/usr/lib/X11
# MOREARGS=

# For Solaris
# LIBS=-lXm -lXt -lX11 -lXext
# LIBPATH=/usr/dt/lib
# MOREARGS=-I/usr/openwin/include -I/usr/dt/include


xsol: xsol.c xsol.h
	$(CC) -o xsol xsol.c $(MOREARGS) -L$(LIBPATH) $(LIBS)

=== debian/changelog ===
xsol (0.31-16) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #1015849)
  * Reformat d/control with debputy
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 12:28:44 +0100

xsol (0.31-15) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * debian/copyright: Use https protocol in Format field
  * debian/changelog: Remove trailing whitespaces
  * debian/control: Remove trailing whitespaces
  * debian/control: Set Vcs-* to salsa.debian.org
  * Non-maintainer upload.

  [ Paulo Henrique de Lima Santana (phls) ]
  * Set Maintainer to QA Group. (See #1015849)
  * debian/compat: deleted.
  * debian/control:
      - Added Rules-Requires-Root: no.
      - Bumped Standards-Version to 4.6.2.
      - Changed Homepage address.
      - Updated debhelper-compat to 13.
  * debian/copyright:
      - Added all upstream files on the list.
      - Added Paulo for packaging.
      - Changed Source address.
      - Updated Mònica copyright years.
  * debian/gbp.conf: file created.
  * debian/tests/control: file created.
  * debian/upstream/metadata: created.
  * debian/salsa-ci.yml: file created.
  * debian/watch: improved.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 26 Jan 2023 15:48:50 -0300

xsol (0.31-14) unstable; urgency=medium

  * Fix FTCBFS: Let buildtools.mk provide a cross CC. (Closes: #895053)
  * Update compatibility level to 11.
  * Migrate Vcs-* to salsa.debian.org.
  * Use HTTPS in copyright format URL.
  * Bump to Standards-Version 4.1.4. No changes required.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 12 Apr 2018 09:51:00 +0200

xsol (0.31-13) unstable; urgency=medium

  * Fix manpage typo.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 21 Jan 2017 16:53:38 +0100

xsol (0.31-12) unstable; urgency=medium

  * Update Homepage and debian/watch: URL has changed.
  * The menus system is deprecated: remove debian/menu and
    debian/icons/xsol.xpm and update debian/install and
    debian/copyright.
  * Bump to Standards-Version 3.9.8.
  * Vcs-Git, Vcs-Browser: use https instead of git and http.
  * Fix icon path in debian/copyright.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 19 Jun 2016 00:20:11 +0200

xsol (0.31-11) unstable; urgency=low

  * debian/rules: specify the libs after the object files (Closes: #712783)
  * debian/control: replace lesstif lib with motif lib.
  * debian/patches/20-fix-spelling-mistake.patch: correct a spelling mistake
    in the main window title. Thanks to Graham Inggs <graham@nerve.org.za>!
  * debian/patches/30-fix-paint-glitches.patch: fix paint glitches when
    moving cards. Thanks to Graham Inggs <graham@nerve.org.za>!
    (Closes: #269046)
  * debian/patches/40-fix-undo.patch: fix undo issue.
    Thanks to Graham Inggs <graham@nerve.org.za>! (Closes: #599242)

 -- Mònica Ramírez Arceda <monica@debian.org>  Tue, 25 Jun 2013 21:29:13 +0200

xsol (0.31-10) unstable; urgency=low

  * debian/control:
    - Add libxt-dev to Build-Depends. (Closes: #707929)
    - Use the canonical URI in VCS-* fields.
    - Bump to Standards-Version 3.9.4. No changes required.
  * debian/xsol.desktop:
    - Exec key: remove wrong single quotes. Quotes are not needed since
      the command has no arguments.
    - Add Keywords key.

 -- Mònica Ramírez Arceda <monica@debian.org>  Wed, 19 Jun 2013 09:06:22 +0200

xsol (0.31-9) unstable; urgency=low

  * Update maintainer's email.
  * Update debian/copyright.
  * Update compatibility level to 9.
  * Enable security hardening build flags.
  * Bump to Standards-Version 3.9.3. No changes required.
  * Remove unused and empty debian/docs file.

 -- Mònica Ramírez Arceda <monica@debian.org>  Thu, 26 Apr 2012 13:43:37 +0200

xsol (0.31-8) unstable; urgency=low

  * Add Vcs-Git, Vcs-Browser fields in debian/control.
  * debian/control: Remove initial article in the short description.
  * debian/copyright: Switch to DEP-5 format and add icon copyright.
  * 10-remove-alignment-option.patch: Remove XmNchildVerticalAlignment
    option to avoid the text "Settings" overlaps the text "Timed Game".
    (Closes: #641534)
  * debian/rules: Don't search headers or libraries in /usr/X11R6/.
    This directory is not present any more.
  * debian/icons: Add icons for menus. xsol.svg is the icon's source.
    Thanks to Simó Albert i Beltran <sim6@probeta.net>!
  * debian/xsol.desktop: Add a menu entry in desktop menus. (Closes: #641716)
  * debian/menu: add an icon to Debian menu.
  * Bump to Standards-Version 3.9.2. No changes required.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Mon, 11 Nov 2011 00:58:11 +0100

xsol (0.31-7) unstable; urgency=low

  * Adopt the package. (Closes: #554721)
  * Correct typo in package description. (Closes: #601136)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Tue, 01 Feb 2011 11:11:43 +0100

xsol (0.31-6) unstable; urgency=low

  * QA upload.
  * Changed control file
     - Changed short description (Closes: #493447).
     - Changed long description
     - Changed mantainer to Debian QA Group.
     - Added Homepage.
  * Changed copyright file.
  * Added dirs file.
  * Changed rules file to use dh command (Closes: #438348).
  * Added xsol.manpages.
  * Added install file.
  * Changed menu file syntax.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Tue, 12 Oct 2010 19:45:12 +0200

xsol (0.31-5) unstable; urgency=low

  * Upped lesstif build-dependency to v2, closes: #347048.

 -- Josip Rodin <joy-packages@debian.org>  Sun, 18 Jun 2006 13:09:02 +0200

xsol (0.31-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Removed xlibs-dev build-dep (Closes: #347048).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 18:30:49 +0100

xsol (0.31-4) unstable; urgency=low

  * Ackgnowledging the NMU (thanks JHM!).
  * Random packaging updates.
  * Added build dependencies, closes: #101634.
  * No longer depends on xlib6g, closes: #170208.



=== debian/control ===
Source: xsol
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libmotif-dev,
 libxt-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.ibiblio.org/pub/Linux/X11/games
Vcs-Git: https://salsa.debian.org/games-team/xsol.git
Vcs-Browser: https://salsa.debian.org/games-team/xsol
X-Style: black

Package: xsol
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Solitaire game for the X Window system
 This is a simple Motif/Lesstif version of the classic solitaire game:
 Klondike Solitaire.
 .
 This version of the game runs under X Window System.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk

# Use hardening options to build the package
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
LIBS+=-lXm -lXt -lX11

%:
	dh $@

override_dh_auto_build:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o xsol xsol.c $(LIBS)

execute_after_dh_auto_clean:
	rm -f xsol

=== debian/tests/control ===
Test-Command: xsol --help | if [ $? -eq 0 ]; then echo "ok"; fi
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://www.ibiblio.org/pub/Linux/X11/games/xsol-(.*).source.tgz
